StarWriterStruct::Attribute Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::Attribute Struct Reference

struct use an attribute and a position More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Attribute ()
| constructor More...
| ~Attribute ()
| destructor More...
bool | read (StarZone &zone, StarObject &object)
| try to read a attribute: 'A' More...

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< Attribute > &attributeList, StarObject &object)
| try to read a list of attribute: 'S' More...

## Public Attributes
std::shared_ptr< StarAttribute > | m_attribute
| the attribute More...
STOFFVec2i | m_position
| the begin/end position More...

## Friends
std::ostream & | operator<< (std::ostream &o, Attribute const &attribute)
| operator<< More...

## Detailed Description

struct use an attribute and a position

## Constructor & Destructor Documentation

## ◆ Attribute()

StarWriterStruct::Attribute::Attribute | ( |  | ) |
| inline

constructor

## ◆ ~Attribute()

StarWriterStruct::Attribute::~Attribute | ( |  | ) |

destructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::Attribute::read | ( | StarZone & | zone,
|  | StarObject & | object
| ) |  |

try to read a attribute: 'A'

Referenced by readList(), and StarObjectText::readSWTextZone().

## ◆ readList()

bool StarWriterStruct::Attribute::readList | ( | StarZone & | zone,
|  | std::vector< Attribute > & | attributeList,
|  | StarObject & | object
| ) |  |
| static

try to read a list of attribute: 'S'

Referenced by StarObjectPageStyleInternal::PageDesc::read(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), and StarObjectText::readSWTextZone().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Attribute const & | attribute
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_attribute

std::shared_ptr<StarAttribute> StarWriterStruct::Attribute::m_attribute

the attribute

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_position

STOFFVec2i StarWriterStruct::Attribute::m_position

the begin/end position

Referenced by StarWriterStruct::operator<<(), and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx